Skip to main content
POST
Create a beneficiary

Authorizations

x-api-key
string
header
required

Nuvera API application secret key

Authorization
string
header
required

RS256 per-request signed JWT

Path Parameters

customerId
string
required

Body

application/json
country
string
required

Beneficiary country

Minimum string length: 1
companyName
string
required

Beneficiary company name

Required string length: 1 - 200
addressStreet
string
required

Street address

Required string length: 1 - 200
addressCity
string
required

City

Required string length: 1 - 100
zipCode
string
required

ZIP/Postal code

Minimum string length: 1
currencyCode
enum<string>
required

Currency code

Available options:
USD,
EUR,
CAD,
GBP,
AED,
BRL,
MXN,
COP,
HKD,
CNY,
NGN,
KES,
MWK,
ZAR,
XOF,
XAF,
UGX,
TZS,
ZMW,
BWP,
SGD,
USDT,
USDC,
DAI,
BTC
bankCountryCode
string
Pattern: ^[A-Z]{2}$
bankName
string | null
Required string length: 1 - 200
bankBic
string | null
iban
string | null
accountNumber
string | null
wireRoutingNumber
string | null
achRoutingNumber
string | null
sortCode
string | null
institutionNumber
string | null
Pattern: ^\d{3}$
transitNumber
string | null
Pattern: ^\d{5}$
intermediaryBank
string | null
addressProvince
string

State/Province (required for CA and US beneficiaries)

Maximum string length: 50

Response

default - application/json
id
string
required
customerId
string
required
version
integer
required
Required range: x <= 9007199254740991
country
string
required
companyName
string
required
address
string
required
addressStreet
string | null
required
addressCity
string | null
required
addressProvince
string | null
required
zipCode
string
required
currencyCode
string
required
bankName
string | null
required
bankBic
string | null
required
bankCountryCode
string | null
required
bankAddress
string | null
required
accountNumber
string | null
required
iban
string | null
required
wireRoutingNumber
string | null
required
achRoutingNumber
string | null
required
sortCode
string | null
required
institutionNumber
string | null
required
transitNumber
string | null
required
intermediaryBank
string | null
required
status
string
required
createdAt
string
required
updatedAt
string
required